#sananselitys-container {
    margin-top: 24vh;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

#game-container {
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

main {
    overflow: hidden;
}

p {
    margin: 0; 
    padding: 0;
}

#good-try {
    display: none;
    margin-bottom: 16px;
}

#multiplayer {
    margin-top: 5vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#singleplayer {
    margin-top: 5vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 10px;
}

#oranssi {
    background-color: #EC642A;
    color: #FFFFFF;
}

#sininen {
    background-color: #0165B0;
    color: #FFFFFF;
    margin-top: 20px;
}

#clock-icon {
    width: 50px;
    height: 50px;
    vertical-align: middle;
    float: right;
    margin-right: 30px;
    margin-top: 4px;
}

#folding-card-icon {
    width: 50px;
    height: 50px;
    vertical-align: middle;
    float: right;
    margin-right: 30px;
    margin-top: 4px;
}

#singleplayer-icon {
    width: 60px;
    height: 60px;
    vertical-align: middle;
    float: right;
    margin-right: 30px;
}

#multiplayer-icon {
    width: 60px;
    height: 60px;
    vertical-align: middle;
    float: right;
    margin-right: 30px;
    margin-top: 4px;
}

#word-text {
    font-weight: bold;
    font-size: 18px;    
    text-transform: capitalize;
    hyphens: manual;
}

#word-exp {
    font-size: 16px;
}

#ohita {
    font-weight: bold;
    color: #ec642a;
    background-color: #fff;
    font-size: 20px;
    border-style: outset;
    width: 90px;
    height: 50px;    
    box-shadow: 0 3px 12px 0 rgba(0,0,0,0.2), 0 3px 3px 0 rgba(0,0,0,0.19);
}

#ohita:active {
    background-color: #c7c7c7;
    box-shadow: 0 0px 0px 0 rgba(0,0,0,0.2), 0 0px 0px 0 rgba(0,0,0,0.19);
    color: white;
}

#ohita:focus {
    background-color: rgb(207, 207, 207);
    border-color: 222, 220, 220;
}

#oikein {
    font-weight: bold;
    color: #0165b0;
    background-color: #fff;
    font-size: 20px; 
    border-style: outset;
    width: 90px;
    height: 50px;
    box-shadow: 0 3px 12px 0 rgba(0,0,0,0.2), 0 3px 3px 0 rgba(0,0,0,0.19);
}

#oikein:active {
    background-image: linear-gradient(to bottom, #16d600, #0f9300);
    box-shadow: 0 0px 0px 0 rgba(0,0,0,0.2), 0 0px 0px 0 rgba(0,0,0,0.19);
    color: white;
}

#oikein:focus {
    background-color: rgb(207, 207, 207);
    border-color: 222, 220, 220;
}

#gameButtons {
    visibility: hidden;
}

#gameButtons1 {
    visibility: hidden;
}

/* SINGLEPLAYER  */
#nappi-kokoelma1 {
    display: flex;
    font-size: 13px;
}

#nappi-kokoelma2 {
    display: flex;
    font-size: 13px;
}

#time{
    font-size: 30px;
}

.answer-option {
    width: 150px;
    height: 70px;
    font-size: 17px;
    border-radius: 5px;
    background: #ffffff;
    color: #ec642a;
    background-blend-mode: normal;
    box-shadow: 0px 1px 3px 1px rgba(100,100,100,0.36);
    hyphens: manual;
    cursor: pointer;
}

.answer-option:focus {
    background-color: rgb(207, 207, 207);
    border-color: 222, 220, 220;
  }

#lives {
    max-width: 350px;
    margin-top: -10px;
    margin-bottom: 26px;
    display: flex;
    height: 30px;
}

.list-item {
    position: absolute;
    width: 100%;
    transition: all 1s;
    background-color: coral;
    border: 1px solid white;
    padding: 8px;
    color: white;
} 

#vaihtoehto1:first-letter {
    text-transform: uppercase;
}

#vaihtoehto2:first-letter {
    text-transform: uppercase;
}

#vaihtoehto3:first-letter {
    text-transform: uppercase;
}

#vaihtoehto4:first-letter {
    text-transform: uppercase;
}

#nappi-kokoelma2 {
    display: flex;
    margin-top: 15px;
}

.fade-in {
    animation: fadeInAnimation linear 1s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}

@keyframes fadeInAnimation {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
        
    }
}

#timer {
  font-size:  26px;
  position:absolute;
  top: 130px;
  right: 3%;
  color: #0165b0;
  font-weight: 700;
  width: 46px;
  height: 108px;
}

.scene {
  display: inline-block;
  width: 200px;
  height: 260px;
  margin: 40px 0;
  perspective: 600px;
}

.card {
    margin-bottom: 20px;
    position: relative;
    transform-style: preserve-3d;
    transform-origin: center right;
    transition: all 1s;
    width: 220px;
    aspect-ratio: 3/4;
    color: #fff;
    color: black;
    box-shadow: 6px 6px 35px -15px rgba(66, 68, 90, 1);
    border: 3px solid #0165b0;
    border-radius: 11px;
    background-color: #FFFFFF;

}

.ani-right {
    animation-name: cssAnimation2;
    animation-duration: 1s;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
}

.ani-left { 
    animation-name: cssAnimation;
    animation-duration: 1s;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
}
  
.ani-up {
    animation-name: cssAnimation3;
    animation-duration: 1.25s;
    animation-iteration-count: 1;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
}

.ani-right1 {
    animation-name: cssAnimation2-1;
    animation-duration: 0.5s;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
}

.ani-left1 { 
    animation-name: cssAnimation-1;
    animation-duration: 0.5s;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
}
  
.ani-up1 {
    animation-name: cssAnimation3-1;
    animation-duration: 0.5s;
    animation-iteration-count: 1;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
}

@keyframes cssAnimation { 
    0% {
      transform: rotate(0deg);
      left: 0px;
      top: 0px;
      transform-origin: 0 0;
    }

    100% {
      transform: rotate(-100deg);
      left: -600px;
      top: -60px;

    }
}

@keyframes cssAnimation2 {
    0% {
      transform: rotate(0deg);
      top: 0px;
      right: 0px;
      transform-origin: 0 0;
    }

    100% {
      transform: rotate(150deg);
      top: 80px;
      right: -600px;
    }
}

@keyframes cssAnimation3 {
    0% {
      top: 600px;
    }

    100% {
      top: 0px;
    }
}

@keyframes cssAnimation-1 { 
    0% {
      transform: rotate(0deg);
      left: 0px;
      top: 0px;
      transform-origin: 0 0;
    }

    100% {
      transform: rotate(-100deg);
      left: -600px;
      top: -60px;

    }
}

@keyframes cssAnimation2-1 {
    0% {
      transform: rotate(0deg);
      top: 0px;
      right: 0px;
      transform-origin: 0 0;
    }

    100% {
      transform: rotate(150deg);
      top: 80px;
      right: -600px;
    }
}

@keyframes cssAnimation3-1 {
    0% {
      top: 600px;
    }

    100% {
      top: 0px;
    }
}

.card-face {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    height: 100%;
    font-size: 2.3rem;
    backface-visibility: hidden; /*hide element on back*/
    flex-direction: column;    
}

.card-face-back {
    background-color: #FFFFFF;
    transform: rotateY(180deg);
    font-size: 14px;
    border-radius: 11px;
    padding: 0px 10px;
}

.card.is-flipped {
    transform: translateX(-100%) rotateY(-180deg);
}

#explanation {
    margin-top: -26vh;
    display: none;
}

#explanation p {
    font-size:13px;
}

#results {
    text-align: center;
    display: none;
    /* height: 60vh; */
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-top: 40px;
}

.end-results {
    display: flex;
    flex-direction: column;
    gap: 17px;
}

#results-btn { 
    position: fixed;
    bottom: 0px;
}

#again {
    box-shadow: -1px 1px 0 4px white;
    font-size: 20px;
}

#menu {
    box-shadow: 0 3px 0 3px white;
}

#PT-UpTxt {
    color: #0165b0;
    font-size: 23px;
    font-family: Montserrat;
    font-weight: bold;
}

#PlayTime1 {
    color: #0092FF;
    font-size: 23px;
    font-family: Montserrat;
    font-weight: bold;
}

#wrong {
    color: #C84717;
    font-size: 23px;
    font-family: Montserrat;
    font-weight: bold;
}

#right {
    color: #C84717;
    font-size: 23px;
    font-family: Montserrat;
    font-weight: bold;
    display: inline-block;
}

#rightTxt {
    color: #0165B0;
    font-size: 23px;
    font-family: Montserrat;
    font-weight: bold;
    display: inline-block;
}

#wrongTxt {
    color: #0165B0;
    font-size: 23px;
    font-family: Montserrat;
    font-weight: bold;
}

#rightTxtTimed {
    color: #0165B0;
    font-size: 23px;
    font-family: Montserrat;
    font-weight: bold;
    margin-top: 30px;
}

#wrongTxtTimed {
    color: #0165B0;
    font-size: 23px;
    font-family: Montserrat;
    font-weight: bold;
    margin-top: 20px;
}

#mitalli {
    width: 140px;
    height: 140px;
    /* margin-top: -39px; */
    margin-bottom: 35px;
    display: none;
}

.debris {
    width: 15px;
    height: 15px;
    background-color: #EC642A;
    position: fixed;
    z-index: 10;
    display: none;
}

@media only screen and (min-width: 1030px) {

    #results-btn {
        position: static;
        margin-top: 8vh;
        text-align: center;
    }

    .end-results {
        display: flex;
        flex-direction: row;
        gap: 30px;
    }

    #oikea-moninpeli {
        display: inline-block;
        margin-top: 25px;
    }

    #explanation {
        margin-top: -24vh;
        font-size: 23px;
    }

    #explanation p {
        font-size:17px;
    }

    #lives {
        max-width: 400px;
        margin-top: -10px;
        margin-bottom: 26px;
        display: flex;
        height: 35px;
    }

}

@media only screen and (max-height: 550px) {
    #results-btn {
        position: relative;
    }
}